/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package Dao;


import LoginDb.DbHandler;
import java.sql.CallableStatement;
import java.sql.Connection;
import oracle.jdbc.OracleTypes;

/**
 *
 * @author 1242938
 */
public class UserAmendmentDao {

    public String UserAmendmentServletProc(String pacsId, String userName, String userRole, String userId, String opType, String tellerId, String ipFlag, String staticIP) {
        Connection con = null;
        CallableStatement proc = null;
        String res = null;


        try {
            con = DbHandler.getDBConnection();
            proc = con.prepareCall("{ call operations2.dds_user_deletion(?,?,?,?,?,?,?,?,?) }");

            proc.setString(1, pacsId);
            proc.setString(2, userName);
            proc.setString(3, userRole);
            proc.setString(4, userId);
            proc.setString(5, tellerId);
            proc.setString(6, opType);
            proc.registerOutParameter(7, OracleTypes.VARCHAR);
            proc.setString(8, ipFlag);
            proc.setString(9, staticIP);

            proc.executeUpdate();

           // res = proc.getString(7);//error message

        } catch (Exception e) {
           // e.printStackTrace();
           // System.out.println("Exception occured  in UserAmendmentServletProc for user Id :" + tellerId);
           System.out.println("Error occurred during processing.");
            res= "Error occured. Please try again";
        } finally {
            try {
                if (con != null) {
                    con.close();
                }
            } catch (Exception e) {
               // e.printStackTrace();
               System.out.println("Error occurred during connection close.");
            }
        }

        return res;
    }

    
}
